#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    char c1, c2;
    cin >> c1 >> c2;
    int a1, a2;
    cin >> a1 >> a2;
    if(abs(a1 - a2) > 1){
        cout << "nemoguce";
    }
    else{
        for(int i = 0; i < a1 + a2; i++){
            if(i % 2 == 0){
                cout << (a1 > a2 ? c1 : c2);
            }
            else {
                cout << (a1 > a2 ? c2 : c1);
            }
        }
    }

    return 0;
}